﻿/*==================== LAYOUT ===================*/


#portal .frame {
    position: relative;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}
[id*="layout-"] {
    padding: 0;
    min-height: 0 !important;
}
[id*="zone-"] {
	padding: 0;
    /* margin-top: -1px; */ /* EFFET DE BORD POSITIONNEMENT ENCARTS */
}
div#page > div.container {
    max-width: 100%;
    width: 100%;
    padding-left: 0;
    padding-right: 0;	
}
.x-body div#page > div.container {  /* MODE ADMIN */
    max-width: 1340px;	
}
/* #portal > .row, */   /* EFFET DE BORD PAGES SANS LAYOUT > REDUIT LES STRIP-FOND-COULEUR AU MAX WIDTH  */
[id*="layout-"] > .row,
[id*="zone-"] .panel-front {
    max-width: 1340px;
	float: revert;
    margin-left: auto;
	margin-right: auto;
}

.page-nostrip #portal > .row  {
    max-width: 1340px;
	float: revert;
    margin-left: auto;
	margin-right: auto;
}

/*____________ LAYOUT Recherche ___________*/

div#page.search > div.container,
div#page.detailStatic > div.container {
	max-width: 1340px;
	width: 100%;
}
/*_________ LAYOUT Recherche Avancée _______*/

#ERMES20_FORM {
    max-width: 1340px;
    margin-left: auto;
    margin-right: auto;
}
/*____________ LAYOUT Compte ___________*/

div#page.account > div.container {
	max-width: 1340px;
	width: 100%;
}
/*____________ LAYOUT Inscription ___________*/

.panel-front:has( #Registration )  {
	max-width: 1340px;
	margin-left: auto;
	margin-right: auto;
}
/*____________ LAYOUT HEADER CLASSIC ________*/

header .container {
	width: 100%;
    max-width: 1340px;
}

/*____________ LAYOUT HEADER MODERN ________*/


/* #header_banner > [class*="header-modern__"] {
	max-width: 1340px;
	margin-right: auto;
	margin-left: auto;
} */

.header-modern__top-nav {
    max-width: 1340px;
	margin: 0 auto;
}
.header-modern__body.container {
    max-width: 1340px;
}
/* .header-modern__main-nav {
    max-width: 1340px;
} */
.header-modern #menu-panel {
	margin-right: auto;
	margin-left: auto;
    max-width: 1340px;
}
 
 
/*____________ LAYOUT Ariane ___________*/

.header-modern__breadcrumb.container {
	max-width: 1250px;
	width: 100%;
}

/*==========  LAYOUT ENCARTS  ==========*/

.page-row-full #portal > .row {
	max-width: 100%;
}
.page-row-full [id*="layout-"]:not #layout-3 > .row {
	max-width: 100%;
}
.page-row-upscale [id*="layout-"] > .row {
	max-width: 1350px;
}
.page-row-reduce #layout-20 > .row {
	max-width: 1200px;
}

[id*="zone-"] .panel-front.encart-full {
	max-width: 100%;
}
[id*="zone-"] .panel-front.encart-upscale {
	max-width: 1350px;
}
[id*="zone-"] .panel-front.encart-reduce {
	max-width: 1200px;
}


#portal .frame.strip-margin {
    margin-top: 40px !important;
	margin-bottom: 40px !important;
}
#portal .frame.strip-margin-haut {
    margin-top: 40px !important;
}
#portal .frame.strip-margin-bas {
    margin-bottom: 40px !important;
}
@media (max-width: 767px) {
	#portal .frame.strip-margin {
		margin-top: 30px !important;
		margin-bottom: 30px !important;
	}
	#portal .frame.strip-margin-haut {
		margin-top: 30px !important;
	}
	#portal .frame.strip-margin-bas {
		margin-bottom: 30px !important;
	}
}


#portal .frame.strip-padding {
    padding: 30px 10px;
}
#portal .frame.strip-padding-haut {
    padding: 30px 10px 1px 10px;
}
#portal .frame.strip-padding-bas {
    padding: 1px 10px 30px 10px;
}


#portal .frame.encart-margin-neg {
    margin-top: -70px !important;
}
/* #portal .frame.encart-margin-droite {
    margin-right: 35px !important;
}
#portal .frame.encart-margin-gauche {
    margin-left: 35px !important;
} */


.panel-front {
    margin: 0;
}
.frame.encart-margin,
.frame.encart-margin-bas,
.frame.encart-margin-haut {
    padding: 1px 0;
}
.encart-margin .panel-front {
    margin-top: 35px;
    margin-bottom: 35px;
}
.encart-margin-haut .panel-front {
    margin-top: 35px;
}
.encart-margin-bas .panel-front {
    margin-bottom: 35px;
}
.encart-margin-gauche .panel-front {
    margin-left: 15px;
}
.encart-margin-droite .panel-front {
    margin-right: 15px;
}



.frame .encart-padding.panel-front {
    padding-top: 50px;
    padding-bottom: 50px;
}
.frame .encart-padding-haut.panel-front {
    padding-top: 50px;
}
.frame .encart-padding-bas.panel-front {
    padding-bottom: 50px;
}
.frame .encart-padding-sans.panel-front {
    padding: 0;
}
.frame .encart-padding-haut-sans.panel-front {
    padding-top: 0;
}
.frame .encart-padding-bas-sans.panel-front {
    padding-bottom: 0;
}


.frame .encart-padding-side-sans.panel-front {
    padding-left: 0;
	padding-right: 0;
}
.frame .encart-padding-side-gauche.panel-front {
    padding-left: 15px;
}
.frame .encart-padding-side-droite.panel-front {
	padding-right: 15px;
}


#portal .encart-padding-body .panel-body {
    padding-top: 45px;
    padding-bottom: 45px;
}
#portal .encart-padding-body-haut .panel-body {
    padding-top: 45px;
}
#portal .encart-padding-body-bas .panel-body {
    padding-bottom: 45px;
}
#portal .encart-padding-body-sans .panel-body {
    padding: 0;
}

.encart-padding-heading-gauche .panel-front > .panel-heading {
    padding-left: 30px;
}
.encart-padding-heading-droite .panel-front > .panel-heading {
    padding-right: 30px;
}



.frame.strip-fond-couleur-bleu {
	background-color: #f1f5ff;
}

.frame[class*="strip-fond-couleur-"] .panel-front {
	background: none;
}

.panel.panel-front.encart-fond-couleur-noir {
	background-color: #000;
}
.panel.panel-front[class*="encart-fond-couleur-"] * {
	color: #fff;
}
.panel.panel-front[class*="encart-fond-couleur-"] button {
	background-color: #fff;
	color: #009ca7;
}
.panel.panel-front[class*="encart-fond-couleur-"] button:hover {
	background-color: transparent;
	border-color: #fff;
	color: #fff;
}
[class*="encart-fond-couleur-"] .panel-front {
	padding: 30px;
}

/* @media (max-width: 1919px) {
	[class*="encart-fond-"] .panel-front {
		margin-left: 20px;
		margin-right: 20px;
	}	
} */



[id*="layout-"]:has( > .row [id*="zone-"] .strip-multi-margin ) {
	margin-top: 90px;
    margin-bottom: 90px;
}
[id*="layout-"]:has( > .row [id*="zone-"] .strip-multi-margin-haut ) {
	margin-top: 90px;
}
[id*="layout-"]:has( > .row [id*="zone-"] .strip-multi-margin-bas ) {
	margin-bottom: 90px;
}


[id*="layout-"]:has( > .row [id*="zone-"] .strip-multi-padding ) {
    padding: 70px 10px;
}
[id*="layout-"]:has( > .row [id*="zone-"] .strip-multi-padding-haut ) {
    padding: 70px 10px 1px 10px;
}
[id*="layout-"]:has( > .row [id*="zone-"] .strip-multi-padding-bas ) {
    padding: 1px 10px 70px 10px;
}



[id*="layout-"]:has( > .row [id*="zone-"] .strip-multi-fond-couleur-gris ) {
	background-color: #f2f2f2;
}
[id*="layout-"]:has( > .row [id*="zone-"] [class*="strip-multi-fond-couleur-"] ) .panel-front {
	background-color: none;
}


/*____________ LAYOUT Page spéciale ___________*/


#portal:has( .encart-header-article ) [id*="layout-"] > .row {
	max-width: 1220px;
}
#portal:has( .encart-header-article ) [id*="zone-"] .panel-front {
	max-width: 1220px;
}

#portal [id*="zone-"] .panel-front.encart-full {
	max-width: 100%;
}




:has( .strip-touch-footer ) footer {
	margin-top: -6px;
}


#portal .encart-padding-body-haut:has(.selection-description) .panel-body {
    padding-top: 20px;
}